## rust-delog 0.1.6

=== Makefile ===
test: non-qemu-tests qemu-tests

non-qemu-tests: simple-tests delog-examples gate-tests

simple-tests:
	cargo test --lib
	cargo test --doc
	cargo test --examples

.PHONY: delog-examples
delog-examples:
	$(MAKE) -C delog-examples run

.PHONY: gate-tests
gate-tests:
	$(MAKE) -C gate-tests

.PHONY: qemu-tests
qemu-tests:
	$(MAKE) -C qemu-tests test

=== debian/changelog ===
rust-delog (0.1.6-1) unstable; urgency=medium

  * Collapse features
  * Package delog 0.1.6 from crates.io using debcargo 2.5.0

 -- Philip Rinn <rinni@debian.org>  Sat, 15 Oct 2022 12:11:37 +0200

rust-delog (0.1.5-1) unstable; urgency=medium

  * Package delog 0.1.5 from crates.io using debcargo 2.5.0

 -- Philip Rinn <rinni@debian.org>  Tue, 16 Aug 2022 20:36:42 +0200

=== debian/control ===
Source: rust-delog
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-log-0.4+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Philip Rinn <rinni@debian.org>
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/delog]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/delog
Rules-Requires-Root: no

Package: librust-delog-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-log-0.4+default-dev,
 librust-log-0.4+max-level-debug-dev,
 librust-log-0.4+max-level-error-dev,
 librust-log-0.4+max-level-info-dev,
 librust-log-0.4+max-level-off-dev,
 librust-log-0.4+max-level-trace-dev,
 librust-log-0.4+max-level-warn-dev,
 librust-log-0.4+release-max-level-debug-dev,
 librust-log-0.4+release-max-level-error-dev,
 librust-log-0.4+release-max-level-info-dev,
 librust-log-0.4+release-max-level-off-dev,
 librust-log-0.4+release-max-level-trace-dev,
 librust-log-0.4+release-max-level-warn-dev
Provides:
 librust-delog+default-dev (= ${binary:Version}),
 librust-delog+example-dev (= ${binary:Version}),
 librust-delog+knock-it-off-dev (= ${binary:Version}),
 librust-delog+max-level-debug-dev (= ${binary:Version}),
 librust-delog+max-level-error-dev (= ${binary:Version}),
 librust-delog+max-level-info-dev (= ${binary:Version}),
 librust-delog+max-level-off-dev (= ${binary:Version}),
 librust-delog+max-level-trace-dev (= ${binary:Version}),
 librust-delog+max-level-warn-dev (= ${binary:Version}),
 librust-delog+release-max-level-debug-dev (= ${binary:Version}),
 librust-delog+release-max-level-error-dev (= ${binary:Version}),
 librust-delog+release-max-level-info-dev (= ${binary:Version}),
 librust-delog+release-max-level-off-dev (= ${binary:Version}),
 librust-delog+release-max-level-trace-dev (= ${binary:Version}),
 librust-delog+release-max-level-warn-dev (= ${binary:Version}),
 librust-delog+std-dev (= ${binary:Version}),
 librust-delog+std-log-dev (= ${binary:Version}),
 librust-delog-0-dev (= ${binary:Version}),
 librust-delog-0+default-dev (= ${binary:Version}),
 librust-delog-0+example-dev (= ${binary:Version}),
 librust-delog-0+knock-it-off-dev (= ${binary:Version}),
 librust-delog-0+max-level-debug-dev (= ${binary:Version}),
 librust-delog-0+max-level-error-dev (= ${binary:Version}),
 librust-delog-0+max-level-info-dev (= ${binary:Version}),
 librust-delog-0+max-level-off-dev (= ${binary:Version}),
 librust-delog-0+max-level-trace-dev (= ${binary:Version}),
 librust-delog-0+max-level-warn-dev (= ${binary:Version}),
 librust-delog-0+release-max-level-debug-dev (= ${binary:Version}),
 librust-delog-0+release-max-level-error-dev (= ${binary:Version}),
 librust-delog-0+release-max-level-info-dev (= ${binary:Version}),
 librust-delog-0+release-max-level-off-dev (= ${binary:Version}),
 librust-delog-0+release-max-level-trace-dev (= ${binary:Version}),
 librust-delog-0+release-max-level-warn-dev (= ${binary:Version}),
 librust-delog-0+std-dev (= ${binary:Version}),
 librust-delog-0+std-log-dev (= ${binary:Version}),
 librust-delog-0.1-dev (= ${binary:Version}),
 librust-delog-0.1+default-dev (= ${binary:Version}),
 librust-delog-0.1+example-dev (= ${binary:Version}),
 librust-delog-0.1+knock-it-off-dev (= ${binary:Version}),
 librust-delog-0.1+max-level-debug-dev (= ${binary:Version}),
 librust-delog-0.1+max-level-error-dev (= ${binary:Version}),
 librust-delog-0.1+max-level-info-dev (= ${binary:Version}),
 librust-delog-0.1+max-level-off-dev (= ${binary:Version}),
 librust-delog-0.1+max-level-trace-dev (= ${binary:Version}),
 librust-delog-0.1+max-level-warn-dev (= ${binary:Version}),
 librust-delog-0.1+release-max-level-debug-dev (= ${binary:Version}),
 librust-delog-0.1+release-max-level-error-dev (= ${binary:Version}),
 librust-delog-0.1+release-max-level-info-dev (= ${binary:Version}),
 librust-delog-0.1+release-max-level-off-dev (= ${binary:Version}),
 librust-delog-0.1+release-max-level-trace-dev (= ${binary:Version}),
 librust-delog-0.1+release-max-level-warn-dev (= ${binary:Version}),
 librust-delog-0.1+std-dev (= ${binary:Version}),
 librust-delog-0.1+std-log-dev (= ${binary:Version}),
 librust-delog-0.1.6-dev (= ${binary:Version}),
 librust-delog-0.1.6+default-dev (= ${binary:Version}),
 librust-delog-0.1.6+example-dev (= ${binary:Version}),
 librust-delog-0.1.6+knock-it-off-dev (= ${binary:Version}),
 librust-delog-0.1.6+max-level-debug-dev (= ${binary:Version}),
 librust-delog-0.1.6+max-level-error-dev (= ${binary:Version}),
 librust-delog-0.1.6+max-level-info-dev (= ${binary:Version}),
 librust-delog-0.1.6+max-level-off-dev (= ${binary:Version}),
 librust-delog-0.1.6+max-level-trace-dev (= ${binary:Version}),
 librust-delog-0.1.6+max-level-warn-dev (= ${binary:Version}),
 librust-delog-0.1.6+release-max-level-debug-dev (= ${binary:Version}),
 librust-delog-0.1.6+release-max-level-error-dev (= ${binary:Version}),
 librust-delog-0.1.6+release-max-level-info-dev (= ${binary:Version}),
 librust-delog-0.1.6+release-max-level-off-dev (= ${binary:Version}),
 librust-delog-0.1.6+release-max-level-trace-dev (= ${binary:Version}),
 librust-delog-0.1.6+release-max-level-warn-dev (= ${binary:Version}),
 librust-delog-0.1.6+std-dev (= ${binary:Version}),
 librust-delog-0.1.6+std-log-dev (= ${binary:Version})
Description: Deferred logging implementation for Rust - Rust source code
 This package contains the source for the Rust delog crate, packaged by debcargo
 for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test delog 0.1.6 --all-targets --all-features
Features: test-name=rust-delog:@
Depends: dh-cargo (>= 18), librust-insta-1+default-dev (>= 1.3-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test delog 0.1.6 --all-targets 
Features: test-name=librust-delog-dev:default
Depends: dh-cargo (>= 18), librust-insta-1+default-dev (>= 1.3-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test delog 0.1.6 --all-targets --no-default-features --features example
Features: test-name=librust-delog-dev:example
Depends: dh-cargo (>= 18), librust-insta-1+default-dev (>= 1.3-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test delog 0.1.6 --all-targets --no-default-features --features knock-it-off
Features: test-name=librust-delog-dev:knock-it-off
Depends: dh-cargo (>= 18), librust-insta-1+default-dev (>= 1.3-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test delog 0.1.6 --all-targets --no-default-features --features max_level_debug
Features: test-name=librust-delog-dev:max_level_debug
Depends: dh-cargo (>= 18), librust-insta-1+default-dev (>= 1.3-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test delog 0.1.6 --all-targets --no-default-features --features max_level_error
Features: test-name=librust-delog-dev:max_level_error
Depends: dh-cargo (>= 18), librust-insta-1+default-dev (>= 1.3-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test delog 0.1.6 --all-targets --no-default-features --features max_level_info
Features: test-name=librust-delog-dev:max_level_info
Depends: dh-cargo (>= 18), librust-insta-1+default-dev (>= 1.3-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test delog 0.1.6 --all-targets --no-default-features --features max_level_off
Features: test-name=librust-delog-dev:max_level_off
Depends: dh-cargo (>= 18), librust-insta-1+default-dev (>= 1.3-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test delog 0.1.6 --all-targets --no-default-features --features max_level_trace
Features: test-name=librust-delog-dev:max_level_trace
Depends: dh-cargo (>= 18), librust-insta-1+default-dev (>= 1.3-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test delog 0.1.6 --all-targets --no-default-features --features max_level_warn
Features: test-name=librust-delog-dev:max_level_warn
Depends: dh-cargo (>= 18), librust-insta-1+default-dev (>= 1.3-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test delog 0.1.6 --all-targets --no-default-features --features release_max_level_debug

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/delog-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/delog .*/crates/delog/@ANY_VERSION@/download

## rust-delog 0.1.7

=== debian/changelog ===
rust-delog (0.1.7-2) unstable; urgency=medium

  * Team upload.
  * Package delog 0.1.7 from crates.io using debcargo 2.6.1
  * Mark "all features" test as "broken", new versions of the log crate
    do not allow enabling multiple "max-log-level" features at the same time.
    (Closes: #1081817)

 -- Peter Michael Green <plugwash@debian.org>  Sun, 15 Sep 2024 16:09:56 +0000

rust-delog (0.1.7-1) unstable; urgency=medium

  * Team upload.
  * Package delog 0.1.7 from crates.io using debcargo 2.6.1

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 21 Aug 2024 20:23:07 -0400

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,10 @@
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Philip Rinn <rinni@debian.org>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/delog]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/delog
+X-Cargo-Crate: delog
 Rules-Requires-Root: no
 
 Package: librust-delog-dev
@@ -87,24 +88,23 @@
  librust-delog-0.1+release-max-level-warn-dev (= ${binary:Version}),
  librust-delog-0.1+std-dev (= ${binary:Version}),
  librust-delog-0.1+std-log-dev (= ${binary:Version}),
- librust-delog-0.1.6-dev (= ${binary:Version}),
- librust-delog-0.1.6+default-dev (= ${binary:Version}),
- librust-delog-0.1.6+example-dev (= ${binary:Version}),
- librust-delog-0.1.6+knock-it-off-dev (= ${binary:Version}),
- librust-delog-0.1.6+max-level-debug-dev (= ${binary:Version}),
- librust-delog-0.1.6+max-level-error-dev (= ${binary:Version}),
- librust-delog-0.1.6+max-level-info-dev (= ${binary:Version}),
- librust-delog-0.1.6+max-level-off-dev (= ${binary:Version}),
- librust-delog-0.1.6+max-level-trace-dev (= ${binary:Version}),
- librust-delog-0.1.6+max-level-warn-dev (= ${binary:Version}),
- librust-delog-0.1.6+release-max-level-debug-dev (= ${binary:Version}),
- librust-delog-0.1.6+release-max-level-error-dev (= ${binary:Version}),
- librust-delog-0.1.6+release-max-level-info-dev (= ${binary:Version}),
- librust-delog-0.1.6+release-max-level-off-dev (= ${binary:Version}),
- librust-delog-0.1.6+release-max-level-trace-dev (= ${binary:Version}),
- librust-delog-0.1.6+release-max-level-warn-dev (= ${binary:Version}),
- librust-delog-0.1.6+std-dev (= ${binary:Version}),
- librust-delog-0.1.6+std-log-dev (= ${binary:Version})
+ librust-delog-0.1.7-dev (= ${binary:Version}),
+ librust-delog-0.1.7+default-dev (= ${binary:Version}),
+ librust-delog-0.1.7+example-dev (= ${binary:Version}),
+ librust-delog-0.1.7+knock-it-off-dev (= ${binary:Version}),
+ librust-delog-0.1.7+max-level-debug-dev (= ${binary:Version}),
+ librust-delog-0.1.7+max-level-error-dev (= ${binary:Version}),
+ librust-delog-0.1.7+max-level-info-dev (= ${binary:Version}),
+ librust-delog-0.1.7+max-level-off-dev (= ${binary:Version}),
+ librust-delog-0.1.7+max-level-trace-dev (= ${binary:Version}),
+ librust-delog-0.1.7+max-level-warn-dev (= ${binary:Version}),
+ librust-delog-0.1.7+release-max-level-debug-dev (= ${binary:Version}),
+ librust-delog-0.1.7+release-max-level-error-dev (= ${binary:Version}),
+ librust-delog-0.1.7+release-max-level-info-dev (= ${binary:Version}),
+ librust-delog-0.1.7+release-max-level-off-dev (= ${binary:Version}),
+ librust-delog-0.1.7+release-max-level-trace-dev (= ${binary:Version}),
+ librust-delog-0.1.7+release-max-level-warn-dev (= ${binary:Version}),
+ librust-delog-0.1.7+std-dev (= ${binary:Version}),
+ librust-delog-0.1.7+std-log-dev (= ${binary:Version})
 Description: Deferred logging implementation for Rust - Rust source code
- This package contains the source for the Rust delog crate, packaged by debcargo
- for use with cargo and dh-cargo.
+ Source code for Debianized Rust crate "delog"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test delog 0.1.7 --all-targets --all-features
Features: test-name=rust-delog:@
Depends: dh-cargo (>= 18), librust-insta-1+default-dev (>= 1.3-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test delog 0.1.7 --all-targets
Features: test-name=librust-delog-dev:default
Depends: dh-cargo (>= 18), librust-insta-1+default-dev (>= 1.3-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test delog 0.1.7 --all-targets --no-default-features --features example
Features: test-name=librust-delog-dev:example
Depends: dh-cargo (>= 18), librust-insta-1+default-dev (>= 1.3-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test delog 0.1.7 --all-targets --no-default-features --features knock-it-off
Features: test-name=librust-delog-dev:knock-it-off
Depends: dh-cargo (>= 18), librust-insta-1+default-dev (>= 1.3-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test delog 0.1.7 --all-targets --no-default-features --features max_level_debug
Features: test-name=librust-delog-dev:max_level_debug
Depends: dh-cargo (>= 18), librust-insta-1+default-dev (>= 1.3-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test delog 0.1.7 --all-targets --no-default-features --features max_level_error
Features: test-name=librust-delog-dev:max_level_error
Depends: dh-cargo (>= 18), librust-insta-1+default-dev (>= 1.3-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test delog 0.1.7 --all-targets --no-default-features --features max_level_info
Features: test-name=librust-delog-dev:max_level_info
Depends: dh-cargo (>= 18), librust-insta-1+default-dev (>= 1.3-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test delog 0.1.7 --all-targets --no-default-features --features max_level_off
Features: test-name=librust-delog-dev:max_level_off
Depends: dh-cargo (>= 18), librust-insta-1+default-dev (>= 1.3-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test delog 0.1.7 --all-targets --no-default-features --features max_level_trace
Features: test-name=librust-delog-dev:max_level_trace
Depends: dh-cargo (>= 18), librust-insta-1+default-dev (>= 1.3-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test delog 0.1.7 --all-targets --no-default-features --features max_level_warn
Features: test-name=librust-delog-dev:max_level_warn
Depends: dh-cargo (>= 18), librust-insta-1+default-dev (>= 1.3-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test delog 0.1.7 --all-targets --no-default-features --features release_max_level_debug
